Bug 211576 - 200C (ZWNJ) is missing from Hindi keyboard layout
200C (ZWNJ) is missing from Hindi keyboard layout
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: m17n-db (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mayank Jain
: i18n, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-20 03:23 EDT by Rajesh Ranjan
Modified: 2015-04-21 00:33 EDT (History)
2 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-29 18:02:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ZWJ problem in Hindi (68.60 KB, image/png)
2006-10-20 03:23 EDT, Rajesh Ranjan
no flags Details

  None (edit)
Description Rajesh Ranjan 2006-10-20 03:23:35 EDT
Description of problem:

Sometimes it is needed in Hindi that halant should not be combined with the
charactor next to halant. So for this 200d shd be in our keyboard layout. See
the attachment for the probelm.


Version-Release number of selected component (if applicable):
1.3-32.el file

How reproducible:
Everytime

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Unable to have halant showing with the charactor

Expected results:


Additional info:
Comment 1 Rajesh Ranjan 2006-10-20 03:23:36 EDT
Created attachment 138946 [details]
ZWJ problem in Hindi
Comment 2 Mayank Jain 2006-10-20 03:40:42 EDT
Hi,

I already have a working fix for this, but I need to know that which keys in the
keymaps (inscript, phonetic) should this ZWJ be mapped to.

Rajesh, can you please provide me the keys to which ZWJ be mapped to (for
inscript/phonetic)?

Thanks,
Mayank
Comment 3 Rajesh Ranjan 2006-10-20 04:13:48 EDT
Hi Mayank,

I think it would be better if we can have same keys for inscript and phonetic (
ie  d and f respectively) and by pressing these two times continuously we can
get the resultant halant ie not going to combined with the charactor next to
halant. 

In this way it will be easier to memorise it for user as well not need to
replace or shift any other charactor.

Regards,

Rajesh
Comment 4 Mayank Jain 2006-10-20 04:54:28 EDT
Okay, mapping the following

"dd" to 200d in inscript
"ff" to 200d in phonetic

Thanks,
Mayank
Comment 5 Mayank Jain 2006-10-20 05:27:19 EDT
After mapping, following can be typed (as per in screenshot in comment 1)

द‍्भ

Thanks,
Mayank
Comment 6 Mayank Jain 2006-10-20 05:49:34 EDT
Fixed in

Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
m17n-db-1.3.3-33.el5                      dist-5E               majain
Comment 7 Leon Ho 2006-10-23 03:35:24 EDT
Moving to MODIFIED.
Comment 8 RHEL Product and Program Management 2006-10-24 15:31:58 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 9 A S Alam 2006-10-29 23:11:25 EST
m17n-db-1.3.3-33.el5 Package fixes this issue and this package is available with
following tree:
RHEL5-Client-20061027.0
Comment 10 Rajesh Ranjan 2006-11-02 06:35:39 EST
By mistake, Instead of 200c, in keyboard layout 200d is inserted for the
required value.
200c is required for halant to be not connected with the next charactor after
the halant.

http://www.unicode.org/faq/indic.html#16
Comment 11 Mayank Jain 2006-11-02 06:40:38 EST
Changing the bug summary to 
"200c (ZWNJ) is missing from Hindi keyboard layout"
From
"200d (ZWJ) is missing from Hindi keyboard layout"
Comment 12 Mayank Jain 2006-11-02 06:44:28 EST
Okay, re-mapping the following

"dd" to 200c in inscript
"ff" to 200c in phonetic

Thanks,
Mayank
Comment 13 Mayank Jain 2006-11-02 07:11:33 EST
Re-fixed in
Build                                     Tag                   Built by
----------------------------------------  --------------------  ----------------
m17n-db-1.3.3-35.el5                      dist-5E               majain

Moving to modified.
Comment 14 Mayank Jain 2006-11-02 07:29:18 EST
Similar problem found in dist-fc7 and dist-fc6-updates-candidate hence new builds :-

dist-fc7 - m17n-db-1_3_3-34_fc7
dist-fc6-updates-candidate - m17n-db-1_3_3-32_fc6

Were made.

Thanks,
Mayank
Comment 15 A S Alam 2006-11-07 07:01:34 EST
m17n-db-1.3.3-35.el5   packages contains the fix, but it is not available in Tree
Comment 16 A S Alam 2006-11-09 07:51:54 EST
cross check with Rajesh, key-sequence is wrong for halant and ZWNJ
now it is:
A+ZWNJ+Halant+B
but it should be
A+Halant+ZWNJ+B

this is problem of Pango, which is filed in separate bug
Comment 17 Mayank Jain 2006-11-09 08:08:31 EST
Errounous fix is now fixed in 
m17n-db-1_3_3-37_el5
m17n-db-1_3_3-36_fc7
m17n-db-1_3_3-34_fc6
Comment 18 A S Alam 2006-11-26 10:16:12 EST
it is ok in following pacakges:
m17n-db-1_3_3-40_el5
Comment 19 A S Alam 2006-11-29 18:02:18 EST
Package is available in following Tree:
RHEL5-Client-20061129.nightly

Note You need to log in before you can comment on or make changes to this bug.